Package org.jcsp.net

# Class UnacknowledgedNetChannelEndFactory

java.lang.Object
org.jcsp.net.StandardNetChannelEndFactory
org.jcsp.net.UnacknowledgedNetChannelEndFactory

All Implemented Interfaces:
  `NetBufferedChannelEndFactory`, `NetChannelEndFactory`, `NetLabelledBufferedChannelEndFactory`, `NetLabelledChannelEndFactory`

public class UnacknowledgedNetChannelEndFactory extends StandardNetChannelEndFactory
Extends the standard network channel factory to give unacknowledged channel output ends. Use these with caution as the lack of synchronization between sender and receiver can lead to potential problems.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`UnacknowledgedNetChannelEndFactory()`
Creates a new factory object.

## Method Summary

Modifier and Type
Method
Description
`NetSharedChannelOutput`
`createAny2Net(NetChannelLocation loc)`
Creates an unacknowledged output channel end suitable for use by multiple writers.
`NetChannelOutput`
`createOne2Net(NetChannelLocation loc)`
Creates an unacknowledged output channel end suitable for use by a single writer.

### Methods inherited from class org.jcsp.net.StandardNetChannelEndFactory

`createNet2Any, createNet2Any, createNet2Any, createNet2Any, createNet2One, createNet2One, createNet2One, createNet2One, getDefaultInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnacknowledgedNetChannelEndFactory

public UnacknowledgedNetChannelEndFactory()
Creates a new factory object.

## Method Details

### createOne2Net

public NetChannelOutput createOne2Net(NetChannelLocation loc)
Creates an unacknowledged output channel end suitable for use by a single writer.

Specified by:
  `createOne2Net` in interface `NetChannelEndFactory`
Overrides:
  `createOne2Net` in class `StandardNetChannelEndFactory`
Parameters:
  `loc` - address of the input channel end to connect to.
Returns:
  the constructed `NetChannelOutput` object.
See Also:
  - `NetChannelEndFactory.createOne2Net(NetChannelLocation)`

### createAny2Net

public NetSharedChannelOutput createAny2Net(NetChannelLocation loc)
Creates an unacknowledged output channel end suitable for use by multiple writers.

Specified by:
  `createAny2Net` in interface `NetChannelEndFactory`
Overrides:
  `createAny2Net` in class `StandardNetChannelEndFactory`
Parameters:
  `loc` - address of the input channel end to connect to.
Returns:
  the constructed `NetSharedChannelOutput` object.
See Also:
  - `NetChannelEndFactory.createAny2Net(NetChannelLocation)`